#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		__python	/usr/bin/python3
%define		_builddir	%{_topdir}/BUILD_%(basename %{__python})
%define		sname		%(echo %{name}  | cut -d '-' -f2-3)
%define		lname		%(echo %{sname} | tr '[:upper:]' '[:lower:]')
#-----------------------------------------------------------------------------
Name		:	python3-MarkupSafe
Version		:	2.1.4
Release		:	17.0.10.rel%{?dist}
Summary		:	A text object that escapes characters so it is safe to use in HTML and XML.
Group		:	Development/Languages

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://pypi.org/project/MarkupSafe

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	%(basename %{__python})
BuildRequires	:	python-wheel
BuildRequires	:	python-packaging

#-----------------------------------------------------------------------------
%description
MarkupSafe implements a text object that escapes characters
so it is safe to use in HTML and XML. Characters that have
special meanings are replaced so that they display as the
actual characters. This mitigates injection attacks, meaning
untrusted user input can safely be displayed on a page.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root,-)
%doc LICENSE.rst README.rst
%{python3_sitelib}/%{lname}/_speedups.*
%{python3_sitelib}/%{lname}/*.py
%{python3_sitelib}/%{lname}/__pycache__/*.pyc
%{python3_sitelib}/%{sname}-%{version}.dist-info/
%{python3_sitelib}/markupsafe/py.typed

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

pip3							\
	wheel						\
	-w dist						\
	--no-build-isolation				\
	--no-deps					\
	$PWD


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

pip3								\
	install							\
	--prefix=%{_prefix}					\
	--root %{buildroot}					\
	--verbose						\
	--no-deps						\
	--ignore-installed					\
	--no-index						\
	--no-cache-dir						\
	--find-links dist					\
	%{sname}==%{version}

#-----------------------------------------------------------------------------
%changelog
